#!/usr/bin/env python3

'''Decrypt encrypted JSON fields in POST to http://hmma.baidu.com/app.gif
such as 'dd', 'ii', and 'wl2' as sent by the Baidu MTJ Android SDK.
'''

import base64
import sys

from Crypto.Cipher import AES

def main():
    key = 'h9YLQoINGWyOBYYk'
    cipher = AES.new(key, AES.MODE_ECB)
    b64 = sys.stdin.buffer.read().replace(b'\\', b'')
    crypto = base64.b64decode(b64)
    plain = cipher.decrypt(crypto)
    padding = plain[-1]
    if 0 < padding <= 16 and all(b == padding for b in plain[-padding:]):
        plain = plain[:-padding]
    else:
        sys.stderr.write('Warning: invalid padding\n')
    sys.stdout.buffer.write(plain)

if __name__ == '__main__':
    main()
