#!/usr/bin/env python3

'''Decode URL-encoded base64-encoded data.'''

import base64
from urllib.parse import unquote

def decode(text):
    text = unquote(text.strip())
    n = len(text)
    padding = '=' * (-n % 4)
    decoded = base64.b64decode(text + padding)
    return decoded

def main():
    import sys
    text = sys.stdin.read()
    sys.stdout.buffer.write(decode(text))

if __name__ == '__main__':
    main()
