#!/usr/bin/env python3

'''Decode URL-safe base64-encoded data.'''

import base64

def decode(text):
    text = text.strip()
    n = len(text)
    padding = '=' * (-n % 4)
    decoded = base64.urlsafe_b64decode(text + padding)
    return decoded

def main():
    import sys
    text = sys.stdin.read()
    sys.stdout.buffer.write(decode(text))

if __name__ == '__main__':
    main()
